#include <DHT.h>

#define DHT_SENSOR_PIN 7 // Define DHT Connected Data Pin
#define DHT_TYPE DHT11 // Define DHT Sensor Type
DHT dht_sensor(DHT_SENSOR_PIN, DHT_TYPE); // Set info for dht

// create namespace
namespace temperature{
    void init();
    float readTemp();
    float readHum();
}

void temperature::init(){
    dht_sensor.begin();
    Serial.println("temp sensor init");
}

float temperature::readTemp(){
    float temp = dht_sensor.readTemperature(); // read temp
    
    return temp;
}

float temperature::readHum(){
    float hum = dht_sensor.readHumidity(); // read temp
    
    return hum;
}